const icons = require("simple-icons");
var argv = require("minimist")(process.argv.slice(2));

// Since I can't refer back to things, I'm just gonna make them consts
// and export them

const dev = false || argv.dev;

const port = 9696;
const name = "ALEX HELDT";
const yml = require("./yaml")
function capitalize(str) {
  return str.charAt(0).toUpperCase() + str.slice(1);
}

let socials = []

yml.social.forEach(element => {
  element.icon = icons[capitalize(element.name)];
  socials.push(element)
});

let music = yml.music.filter(m => m.shown === true)
let allMusic = yml.music

module.exports = {
  dev,
  port,
  name,
  socials,
  music,
  allMusic,
};
